# Created by pyp2rpm-3.3.2
%global pypi_name FileTransfer

Name:           python-%{pypi_name}
Version:        0.7.5
Release:        1%{?dist}
Summary:        Application and library for file transfer

License:        BSD-3-Clause
URL:            https://andreas19.github.io/FileTransfer/
Source0:        https://files.pythonhosted.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 FileTransferApplication and library for file transfer.For more information see
the [documentation]( **2019-12-03 (0.7.5)** - Improve documentation - Add more
examples**2019-06-12 (0.7.4)** - Upgrade dependency: paramiko 2.4.2 ->
2.5.0**2019-02-21 (0.7.3)** - Improve email handling code - Improve
API**2019-02-03 (0.7.2)** - Fix dependency (wrong salmagundi version in
setup.cfg)**2019-02-03...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docopt) >= 0.6.2
Requires:       python3dist(ftputil) >= 3.4
Requires:       python3dist(paramiko) >= 2.5.0
Requires:       python3dist(salmagundi) >= 0.7.0
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 FileTransferApplication and library for file transfer.For more information see
the [documentation]( **2019-12-03 (0.7.5)** - Improve documentation - Add more
examples**2019-06-12 (0.7.4)** - Upgrade dependency: paramiko 2.4.2 ->
2.5.0**2019-02-21 (0.7.3)** - Improve email handling code - Improve
API**2019-02-03 (0.7.2)** - Fix dependency (wrong salmagundi version in
setup.cfg)**2019-02-03...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/filetransfer
%{python3_sitelib}/filetransfer
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Dec 30 2019 mockbuilder - 0.7.5-1
- Initial package.